Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.validators
Class DWRValidator.ValidatorActionInvocation

    java.lang.Object
      com.opensymphony.xwork2.DefaultActionInvocation
          org.apache.struts2.validators.DWRValidator.ValidatorActionInvocation

All Implemented Interfaces:
  com.opensymphony.xwork2.ActionInvocation, Serializable

Enclosing class:
  DWRValidator

    public static class DWRValidator.ValidatorActionInvocation

extends com.opensymphony.xwork2.DefaultActionInvocation

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.opensymphony.xwork2.DefaultActionInvocation
`action, actionEventListener, container, executed, explicitResult, extraContext, interceptors, invocationContext, objectFactory, ognlUtil, preResultListeners, proxy, pushAction, result, resultCode, stack, unknownHandlerManager, valueStackFactory`

Constructor Summary
`protected` | `DWRValidator.ValidatorActionInvocation(Map<String,Object> extraContext, boolean pushAction)`

Method Summary
`protected String` | `invokeAction(Object action, com.opensymphony.xwork2.config.entities.ActionConfig actionConfig)`

Methods inherited from class com.opensymphony.xwork2.DefaultActionInvocation
`addPreResultListener, createAction, createContextMap, createInterceptors, createResult, deserialize, getAction, getInvocationContext, getProxy, getResult, getResultCode, getStack, init, invoke, invokeActionOnly, isExecuted, saveResult, serialize, setActionEventListener, setContainer, setObjectFactory, setOgnlUtil, setResultCode, setUnknownHandlerManager, setValueStackFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DWRValidator.ValidatorActionInvocation

    protected DWRValidator.ValidatorActionInvocation(Map<String,Object> extraContext,
                                                     boolean pushAction)
                                              throws Exception

Throws:
  `Exception`

Method Detail

### invokeAction

    protected String invokeAction(Object action,
                                  com.opensymphony.xwork2.config.entities.ActionConfig actionConfig)
                           throws Exception

  Overrides:
    `invokeAction` in class `com.opensymphony.xwork2.DefaultActionInvocation`
  Throws:
    `Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.